# GFAB – Gemini Flask App Builder

**GFAB** is an AI-powered code generator built for Flask developers. It interactively gathers user preferences and uses Google Gemini to scaffold a real-world Flask application, including routes, configuration files, templates, and advanced features like JWT authentication, Docker, testing setup, and more.

## Features

- Interactive CLI setup wizard
- Gemini-powered dynamic Flask module generation
- Optional features: REST API, Auth, Admin panel, Jinja2 templates, Role-based access, WebSocket, i18n
- Presets for common app setups
- AI-generated stub code
- Test and config utilities
- Docker and .env support
- Blueprint auto-wiring
- One-command project bootstrap

## Getting Started

```bash
pip install gfab
gfab
